// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}

var srDest = 1;
var version = "1.9.9";
var err = initInstall("mozex", "mozex", version); 
logComment("initInstall: " + err);

// profile installs only work since 2003-03-06
const INST_TO_PROFILE = "Do you wish to install mozex to your user profile ?\nThis means it doesn't need reinstalling when you update Mozilla/Firebird.\n\nAlternatively, you may click \"Cancel\" to install mozex to the application directory.\n(Root privileges may be required in UNIX.)\n\n\n\nIMPORTANT NOTE: You MUST NOT change the installation location\nwhen you are upgrading a previous installation of mozex.\nIt also means that in case you are UPGRADING mozex version 1.04 or older\n then you MUST click \"Cancel\" now and install mozex to the application directory.";
var instToProfile = confirm(INST_TO_PROFILE);
var chromef = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
var jar = getFolder(chromef, "mozex.jar");

if (verifyDiskSpace(getFolder("Program"), srDest))
{
    addFile("mozex",
            version,
            "chrome/mozex.jar", // jar source folder 
            chromef,        // target folder
            "");                        // target subdir 

    if (instToProfile) {
        registerChrome(CONTENT | PROFILE_CHROME, jar, "content/mozex/");
    }
    else {
        registerChrome(CONTENT | DELAYED_CHROME, jar, "content/mozex/");
    }

    if (err == SUCCESS) {
        performInstall(); 
        alert("Please restart Mozilla/Firebird to complete the installation."); 
    }
    else {
        cancelInstall(err);
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
